---
updatedAt: 2026-09-29T10:55:32.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Update wallet address

# Overview

Use this endpoint to update the wallet address for an existing Travel Rule transaction if the on-chain transaction was performed using a different address than originally specified.

<Callout icon="📘" theme="info">
  ### Note

  This method is only applicable to [Travel Rule](https://docs.sumsub.com/sumsub/docs/travel-rule) transactions.
</Callout>

## Required permissions

To use this method:

* Your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage TM transactions - Decisions** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).
* **Travel Rule** must be enabled for your account.

Both conditions are required — missing either one returns a `403 Forbidden` ("You don't have this feature enabled, please contact us").

# Request example

```curl
curl -X PATCH \
     'https://api.sumsub.com/resources/kyt/txns/63ea1e0833fd6a5c5bf00000/applicantWalletAddress' \
     -H 'accept: application/json' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "walletAddress": "3213654zdrgsetrr51435ergh453t500000"
          }'
```

# Response explained

The response is a JSON file that represents the structured information of the Travel Rule transaction. The existence of some fields depends on the transaction type and matched [rules](https://docs.sumsub.com/sumsub/docs/tm-rules).

You can see the response structure and possible content with descriptions on [this page](https://docs.sumsub.com/sumsub/reference/get-transaction#response-explained). Mind the `data.applicant.paymentMethod.accountId` attribute that represents the updated wallet address.

# Response examples

If the request is successfully sent and processed, you will receive a response similar to the following:

```json
{
  "id" : "67c878232305ef000000000h",
  "applicantId" : "67c87276fa52a4000000000h",
  "externalUserId" : "a971da2b-b48e-46d6-b6b0-000000000h12",
  "clientId" : "cool_client_id",
  "data" : {
    "txnId" : "5x56u7nl7ijfkd63aaaaaa",
    "txnDate" : "2025-03-05 16:12:21+0000",
    "applicant" : {
      "externalUserId" : "a971da2b-b48e-46d6-b6b0-000000000h12",
      "fullName" : "John Doe",
      "dob" : "1992-05-08",
      "placeOfBirth" : "Paris, France",
      "type" : "individual",
      "paymentMethod" : {
        "type" : "crypto",
        "accountId" : "3213654zdrgsetrr51435ergh453t5z4239" // Changed wallet address.
      },
      "institutionInfo" : {
        "internalId" : "66f6f954abba0700000g0000"
      }
    },
    "counterparty" : {
      "externalUserId" : "e5bswoq7o3tk0000000000",
      "fullName" : "Jack Doe",
      "dob" : "1991-04-07",
      "placeOfBirth" : "Berlin, Germany",
      "type" : "individual",
      "paymentMethod" : {
        "type" : "crypto",
        "accountId" : "bc1q080rkmk8kj86pxvf5nkxecdrw6nr000d00f000"
      },
      "institutionInfo" : {
        "internalId" : "643c2b42f7bd550000h0000f"
      }
    },
    "type" : "travelRule",
    "info" : {
      "direction" : "out",
      "amount" : 0.01,
      "currencyCode" : "BTC",
      "currencyType" : "crypto",
      "amountInDefaultCurrency" : 819.672131147541,
      "defaultCurrencyCode" : "EUR"
    }
  },
  "score" : 0,
  "review" : {
    "reviewId" : "aIzWf",
    "attemptId" : "ESgxC",
    "attemptCnt" : 2,
    "elapsedSincePendingMs" : 16948,
    "createDate" : "2025-03-05 16:13:23+0000",
    "reviewResult" : {
      "reviewAnswer" : "GREEN"
    },
    "reviewStatus" : "completed"
  },
  "createdAt" : "2025-03-05 16:13:23+0000",
  "scoringResult" : {
    "score" : 0,
    "dryScore" : 0,
    "matchedRules" : [ {
      "id" : "6752d57274ce9b418c1e8684",
      "name" : "TRI0",
      "revision" : 10,
      "title" : "Travel Rule: New TR data exchange request",
      "score" : 0,
      "dryRun" : false,
      "action" : "score"
    }]
  },
  "travelRuleInfo" : {
    "protocolName" : "sns",
    "applicant" : {
      "externalUserId" : "a971da2b-b48e-46d6-b6b0-000000000h12",
      "fullName" : "John Doe",
      "dob" : "1992-05-08",
      "placeOfBirth" : "Paris, France"
    },
    "counterparty" : {
      "externalUserId" : "e5bswoq7o3tk0000000000",
      "fullName" : "Jack Doe",
      "dob" : "1991-04-07"
    },
    "status" : "completed",
    "applicantVaspId" : "66f6f954abba073927d55555",
    "counterpartyVaspId" : "643c2b42f7bd5560a2f00000"
  },
  "txnInactive" : false
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "72a72f00db9ccba0d3f3bdd83567aa2b",
  "errorCode": 0,
  "description": "Found transaction is not travel rule transaction"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/{id}/applicantWalletAddress": {
      "patch": {
        "summary": "Update wallet address",
        "description": "",
        "operationId": "update-wallet-address",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "walletAddress"
                ],
                "properties": {
                  "walletAddress": {
                    "type": "string",
                    "description": "Applicant's wallet address."
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```